En poursuivant votre navigation sur ce site, vous acceptez l'utilisation de cookies pour vous proposer des contenus et services adaptés. Mentions légales.
 
 
 

GuppY, le CMS de référence sans base de données

 

telecharger.png

 
Vous êtes ici :   Accueil » Forum » Guppy 5 » Sortie de GuppY 5.03.00
 
 
 
    Imprimer la page...
    Imprimer la section...

Attention : GuppY 5.03.00

Sortie de GuppY 5.03.00 :
 

Les zips du pack, du patch cumulatif et du patch non-cumulatif sont mis à jour et en téléchargement le 17.01.2020 à 18h00.


Le patch CKEditor v4121 pour GuppY 502xx (06.07.2019) est en téléchargement dans la rubrique Télécharger puis GuppY 5. Merci à Saxbar pour cette mise à jour.

Mise à jour des listes de blocage des spams (24.09.2019) pour Apache 2.3 et pour Apache 2.4 en téléchargement dans la rubrique Télécharger puis GuppY 5

Forum - Guppy 5 - Sortie de GuppY 5.03.00


Connectés : ( personne )
Snif !!!
 

actif  Sujet n° 130656

le 03/12/2019 @ 16:06
par GuppY_Team

GuppY_Team

727 messages

Pack GuppY 5.03.00, patchs cumulatif et non-cumulatif


Ce pack est la 108ème version de GuppYgylogo.png

Nous vous proposons la version 5.03.00 avec des nouveautés, des améliorations, des corrections.
 

Pré-requis : PHP 5.6 minimum
 

- CORRECTIONS / MODIFICATIONS :

  - amélioration de la création d'une page secondaire
  - correction de l'affichage des boîtes au-dessus et au-dessous
  - correction de l'affichage pleine page du photorama
  - correction du positionnement en haut de zone 2 pour les liens de recherche
  - correction de l'id de catégorie dans les recherches du forum
  - correction et amélioration du diaporama texte liquidslider
  - correction du numéro de boîte des bannières
  - correction du numéro de page de la boîte photo et la boîte contact
  - corrections de transtypage
  - correction du lien de retour des archives du forum
  - corrections des liens de réécriture d'adresses du forum
  - modification de l'adresse des icônes rss des articles, blog et nouvelles
  - correction du choix par défaut du statut de la boîte Agenda en mobile
  - correction de la validation d'email lors de l'inscription à la lettre d'information
  - correction de la redirection en cas d'erreur d'installation de fichier
  - colonnes centrales blog intégrées dans la structure
  - adaptation au php 7.4.0

 
- NOUVELLES FONCTIONNALITES :

  - ouverture et fermeture des boîtes en cliquant le titre
  - ajout du statut de la boîte archives du blog
  - ajout de la librairie des fonctions skin
  - ajout d'un nouveau menu de navigation
  - introduction de bootstrap
  - remplacement de certaines icônes par celles de font-awesome
  - mise en place des tags de la structure html5
  - colonnes latérales flottantes
  - ajout de deux emplacements dans les zones haut et bas


Pour passer de la version 5.02.09 à la version 5.03.00, c'est le patch gy-non-cumulative-50300 que vous devez utiliser, en suivant cette procédure :
      
    • télécharger le patch et installer en admin avec la fonction Installer de GuppY.

    
Après l'installation vous devez aller en admin/config look et procéder dans cet ordre :

    • compléter la configuration des champs nouveaux dans Config look,

    • cliquer sur "Enregistrer la config" pour mettre à jour votre skin compatible Config look, la génération du style.css se fera automatiquement,
          
    • valider les pages de configuration en commençant par Config boîtes WEB et MOBILE pour la page principale et les pages secondaires, puis Config accueil/blog WEB et MOBILE.

    • Attention, bien vérifier Config boîtes, des boîtes peuvent ne plus être sélectionnées, il faut les remettre en place et Enregistrer la config,

    • puis valider chaque page de configuration, ensuite plusieurs rafraîchissements de l'affichage d'une page peuvent être nécessaires pour avoir un affichage correct.

      
IMPORTANT :

Tous les plugins et toutes les skins doivent être mis à jour pour GuppY 5.03.00, y compris  le stypleplus.css pour l’affichage WEB et mobstyle.css pour l’affichage MOBILE.


Merci à Saxbar et à tous les participants à ce patch

La GuppY Team

Site web GuppY_Team
Poster une réponse Haut  

Réponse n° 43
--------
le 09/01/2020 @ 15:54
par _linuxmr

Anonyme

visiteur

Bonjour,

La version 5.02 du plugins Popupmodale, fonctionnant sur la dernière version de Guppy, est disponible sur mon site.

Les modifications ont été portées sur la bibliotheque Jquery utilisé par le plugin

Bonne fin de journée

Linuxmr

Poster une réponse Haut  
Réponse n° 44
--------
le 09/01/2020 @ 18:35
par Saxbar

Saxbar

Développeur
85 messages

Bonjour,

Au cas ou tu ne l'aurais pas compris, GuppY se tourne vers le frontend Bootstrap 4, qui aura l'avantage de rendre le cms entièrement responsive design.

Il permettra en outre de réaliser des sites modernes débarassés de vieux scripts devenus inutiles.

Celui qui n'avance pas recule irrémédiablement.

Cordialement, Saxbar.

Site web Saxbar
Poster une réponse Haut  
Réponse n° 45
--------
le 10/01/2020 @ 14:57
par _linuxmr

Anonyme

visiteur

Bonjour,

Le plugin Openfiches utilise Jquery bien avant ton arrivée à la GT

Les avancées techniques sont nécessaires, mais les modifications à faire pour les uns et les autres doivent etre supportables, ce qui permet d'avancer et je pense que vous faites le nécessaire.

Pour le frontend Bootstrap 4, cela fait quelques années que je le suis mais j'ai préféré pour l'instant faire une continuité avec Jquery

Bonne continuation

Linuxmr

Poster une réponse Haut  
actif sujet actif   clos sujet clos   Important! Important!   Nouveau Nouveau message
Rectifier Rectifier message   Clôturer Clôturer sujet   Remonter Remonter  
Catégories de discussion  Forum